`timescale 1ns / 1ns

module tf_opb_string_simulation();

   reg [0:31]    OPB_ABus;
   wire [0:3]    OPB_BE = 4'hf;
   reg           OPB_Clk;
   reg [0:31]    OPB_DBus;
   reg           OPB_RNW;
   reg           OPB_Rst;
   reg           OPB_select;
   reg           OPB_seqAddr;

   wire [0:31]   Sln_DBus;
   wire          Sln_errAck;
   wire          Sln_retry;
   wire          Sln_toutSup;
   wire          Sln_xferAck;

   wire          MCLK;
   wire          BICK;
   wire          LRCK;
   wire          SDTI1;
   wire          SDTI2;
   wire          SDTI3;
   wire          SDTI4;
   reg           SDTO;
   wire          PDN;


   initial
     begin
        OPB_Clk = 1;
        while(1)
          begin
             #10;
             OPB_Clk = ~OPB_Clk;
          end
     end

   initial
     begin
        OPB_Rst = 1;
        #60;
        OPB_Rst = 0;
     end


   initial
     begin
        SDTO = 0;
        OPB_ABus = 0;
        OPB_DBus = 0;
        OPB_RNW = 0;
        OPB_select = 0;
        OPB_seqAddr = 0;
     end

   always @(posedge OPB_Clk)
     begin
        if(Sln_xferAck) OPB_select <= 0;
     end
   
   
   opb_string_simulation oss
     (
      .OPB_ABus(OPB_ABus),
      .OPB_BE(OPB_BE),
      .OPB_Clk(OPB_Clk),
      .OPB_DBus(OPB_DBus),
      .OPB_RNW(OPB_RNW),
      .OPB_Rst(OPB_Rst),
      .OPB_select(OPB_select),
      .OPB_seqAddr(OPB_seqAddr),

      .Sln_DBus(Sln_DBus),
      .Sln_errAck(Sln_errAck),
      .Sln_retry(Sln_retry),
      .Sln_toutSup(Sln_toutSup),
      .Sln_xferAck(Sln_xferAck),

      .MCLK(MCLK),
      .BICK(BICK),
      .LRCK(LRCK),
      .SDTI1(SDTI1),
      .SDTI2(SDTI2),
      .SDTI3(SDTI3),
      .SDTI4(SDTI4),
      .SDTO(SDTO),
      .PDN(PDN)
      );

endmodule // tf_opb_string_simulation

        
   